# List deleted tables

Returns a paginated list of deleted recoverable tables for the authenticated account.

Endpoint: GET /table/deleted
Version: 3
Security: ApiKeyAuth

## Query parameters:

  - `cursor_id` (integer)
    ID of the last table from the previous page; omit for the first page

  - `page_size` (integer)
    Number of tables to return per page

  - `database_id` (integer)
    Filter deleted tables by database ID

## Response 200 fields (application/json):

  - `tables` (array, required)

  - `tables.id` (integer, required)
    Example: 11

  - `tables.name` (string, required)
    Example: "Bravo"

  - `tables.database_id` (integer, required)
    Example: 42

  - `tables.database_name` (string, required)
    database name
    Example: "Alpha"

  - `tables.deleted_at` (string, required)
    Datetime in custom format (2020-12-31 11:22:33 -0500 or 2020-12-31 11:22:33 UTC for UTC)
    Example: "2020-12-31 11:22:33 UTC"

  - `tables.created_at` (string, required)
    Datetime in custom format (2020-12-31 11:22:33 -0500 or 2020-12-31 11:22:33 UTC for UTC)
    Example: "2020-12-31 11:22:33 UTC"

  - `cursor_id` (integer,null, required)
    ID of the last table in this page; pass as cursor_id to get the next page, or null if this is the last page
    Example: 456


